Bug 183218 - Add session keyring initialisation PAM module
Summary: Add session keyring initialisation PAM module
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pam   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-27 16:01 UTC by David Howells
Modified: 2015-01-08 00:11 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0300
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 17:23:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add a PAM module to initialise the login session keyring (7.08 KB, patch)
2006-02-27 16:01 UTC, David Howells
no flags Details | Diff
Modify PAM spec file to apply keyring module patch (1.02 KB, patch)
2006-02-27 16:06 UTC, David Howells
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0300 normal SHIPPED_LIVE pam bug fix update 2007-05-01 17:22:38 UTC

Description David Howells 2006-02-27 16:01:48 UTC
The attached patches add a new PAM module to the pam RPM to initialise the 
session keyring for a login process. 
 
These patches do not configure the various login processes (sshd for example) 
as their PAM configurations live in different RPMs.

Comment 1 David Howells 2006-02-27 16:01:48 UTC
Created attachment 125320 [details]
Add a PAM module to initialise the login session keyring

Comment 2 David Howells 2006-02-27 16:06:21 UTC
Created attachment 125322 [details]
Modify PAM spec file to apply keyring module patch

This patch modifies the PAM specfile so that it will apply the session keyring
initialisation patch and will pick up the resultant module and include it in
the PAM RPM.

Comment 3 David Howells 2006-02-27 16:07:22 UTC
This also needs applying to FC4 (probably), FC5 and RHEL5. 

Comment 5 Daniel Riek 2006-08-28 22:27:20 UTC
What is the background for this? Why do we need it and do we need to put in
requests for other packages as well?

Comment 7 Jay Turner 2006-08-29 20:10:48 UTC
QE ack for 4.5.

Comment 15 Red Hat Bugzilla 2007-05-01 17:23:54 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0300.html



Note You need to log in before you can comment on or make changes to this bug.